# Jak přispívat do mxchat.cz


Děkujeme za váš zájem přispět do projektu mxchat.cz! Jsme otevřená komunita a uvítáme příspěvky od všech, kteří chtějí pomoci zlepšit náš projekt.

## Jak přispět

### 1. Nahlášení chyb (Issues)
Pokud najdete chybu nebo máte návrh na vylepšení, vytvořte prosím nové issue na našem GitHubu. Popište problém nebo návrh co nejpodrobněji, abychom mohli rychle pochopit a řešit váš podnět.

### 2. Vytváření nových funkcí
Pokud máte nápad na novou funkci, kterou byste chtěli implementovat, nejprve vytvořte issue pro diskusi o této funkci. Jakmile získáte zpětnou vazbu a schválení, můžete začít pracovat na implementaci.

### 3. Opravy chyb a vylepšení
Pokud chcete opravit chybu nebo vylepšit existující funkci, postupujte podle těchto kroků:
1. Vytvořte fork repozitáře.
2. Vytvořte novou větev (branch) pro vaši práci:


  ```bash
  git checkout -b název-větve
  ```
  3. Proveďte potřebné změny a commity:

```bash
git add soubor
git commit -m "Popis změny"
```
4. Pushněte vaši větev do svého forku:

```bash
git push origin název-větve
```

5. Vytvořte Pull Request do hlavního repozitáře.

### 4. Styl kódu

Snažte se dodržovat konzistentní styl kódu. Při psaní kódu používejte následující pravidla:

- Pište srozumitelně a čitelně.
- Používejte komentáře pro vysvětlení složitých částí kódu.
-  Dodržujte konvence pojmenování a formátování, které jsou již v projektu používány.

### 5. Dokumentace

Kromě kódu jsou důležité i příspěvky k dokumentaci. Pomozte nám udržovat dokumentaci aktuální a přehlednou. Pokud přidáváte novou funkci nebo měníte existující, nezapomeňte aktualizovat odpovídající dokumentaci.
Kontakt

Pokud máte jakékoli dotazy nebo potřebujete pomoc, neváhejte nás kontaktovat v komunitní místnosti mxchat.cz.
Další informace

Pro více informací o projektu a způsobu přispívání prosím navštivte naše webové stránky nebo kontaktujte náš tým.

Děkujeme za vaše příspěvky a podporu!