#!/bin/bash

# start.sh
# Vylepšený startovací skript pro Matrix Synapse

SERVICE_NAME="matrix-synapse"
LOG_FILE="/var/log/matrix-synapse/start.log"

echo "Spouštění Matrix Synapse..." | tee -a $LOG_FILE

# Funkce pro kontrolu, zda je služba spuštěná
check_service() {
    if pgrep -x "$SERVICE_NAME" > /dev/null
    then
        echo "$SERVICE_NAME je již spuštěn." | tee -a $LOG_FILE
        exit 1
    fi
}

# Funkce pro spuštění služby
start_service() {
    echo "Spouštím službu $SERVICE_NAME..." | tee -a $LOG_FILE
    synctl start >> $LOG_FILE 2>&1
    if [ $? -eq 0 ]; then
        echo "$SERVICE_NAME byl úspěšně spuštěn." | tee -a $LOG_FILE
    else
        echo "Nepodařilo se spustit $SERVICE_NAME. Zkontrolujte logy pro více informací." | tee -a $LOG_FILE
        exit 1
    fi
}

# Funkce pro logování
setup_logging() {
    if [ ! -f $LOG_FILE ]; then
        touch $LOG_FILE
    fi
    echo "==== Spouštění Matrix Synapse: $(date) ====" >> $LOG_FILE
}

# Hlavní skript
setup_logging
check_service
start_service
